#include <iostream>
#include <vector>
#include <string>

using namespace std;

int main()
{
    string n;
    cin >> n;
    int k=n.length();

    vector <vector<int>> a(10,vector <int>(k));
    vector <int> pomocni(10),pomocni2(10);

    for(int i=0; i<k; i++)
        {
            a[n[i]-'0'][i]=1;
            pomocni2[n[i]-'0']++;
        }

    for(int i=0; i<10; i++)
    {
        for(int j=0; j<k; j++)
        {
            if(a[i][j]==1&&a[i][j+2]==1&&a[i][j+1]==0)
            {
                pomocni[j+1]=1;
                a[i][j+1]=1;
            }
            else if(a[i][j]==1&&a[i][j+1]==0&&pomocni2[i]>1&&a[i][j-1]==0)
            {
                pomocni[j]=1;
                pomocni2[i]--;
            }
        }
    }
    int s=0;
    for (int i=0; i<10; i++)
    {
        cout << pomocni[i] << " ";
        if (pomocni[i]==1)
        s++;
    }
    cout << endl << s;

    return 0;
}